<?php

namespace App\Policies;

use App\Models\User;

class ProjectPolicy
{
    public function view(User $user): bool
    {
        return $user->hasPermission('view_projects');
    }

    public function create(User $user): bool
    {
        return $user->hasPermission('create_projects');
    }

    public function update(User $user): bool
    {
        return $user->hasPermission('edit_projects');
    }

    public function delete(User $user): bool
    {
        return $user->hasPermission('delete_projects');
    }
}
